# unary_function Struct Template Reference
[Functor Base Classes]

Inheritance diagram for unary_function:

List of all members.

## Detailed Description

### template<class _Arg, class _Result>
struct std::unary_function< _Arg, _Result >

This is one of the functor base classes.

Definition at line 102 of file stl_function.h.

## Public Types

- typedef _Arg argument_type
- typedef _Result result_type

## Member Typedef Documentation

typedef _Arg argument_type

| `argument_type` is the type of the Definition at line 104 of file stl_function.h.

typedef _Result result_type

| argument (no surprises here) `result_type` is the return type Definition at line 107 of file stl_function.h.

The documentation for this struct was generated from the following file:

- stl_function.h